Name: libmodplug
Version: 0.8.7
Release: alt1

Summary: Sound module playing library based on ModPlug code
License: GPL
Group: Sound
Url: modplug-xmms.sourceforge.net
Packager: Yury Aliaev <mutabor@altlinux.ru>

Source: %name-%version.tar

# Automatically added by buildreq on Tue Dec 02 2003
#BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel
# buildreq SUXXX
BuildRequires: gcc-c++ libstdc++-devel

%description
This is the library for playing sound modules. It uses GPL'ed code from ModPlug tracker rendering
engine.

%package -n %name-devel
Summary: Development files for libmodplug
Group: Development/C
Requires: %name = %version-%release

%description -n %name-devel
This package contains development files (headers and library links) for the software
development using libmodplug library.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%files
%_libdir/%name.so.*
%doc AUTHORS README

%files -n %name-devel
%_includedir/*
%_libdir/%name.so
%_libdir/pkgconfig/*

%changelog
* Fri May 01 2009 Vladimir Lettiev <crux@altlinux.ru> 0.8.7-alt1
- NMU: 0.8.7
- Security fixes:
  + CVE-2009-1438 (Closes: 19694)
  + PATinst() Buffer Overflow Vulnerability (Closes: 19824)
- removed obosolete post{,un}_ldconfig 

* Sun Nov 12 2006 Yury Aliaev <mutabor@altlinux.ru> 0.8.4-alt1
- 0.8.4 issued

* Wed Apr 19 2006 Yury Aliaev <mutabor@altlinux.ru> 0.8-alt1
- 0.8 issued

* Sat Dec 20 2003 Yury Aliaev <mutabor@altlinux.ru> 0.7-alt2
- Included forgotten documentation into the package

* Wed Dec 3 2003 Yury Aliaev <mutabor@altlinux.ru> 0.7-alt1
- First build for Sisyphus.
